#!/bin/sh

Usage()
{
    echo
    echo "Usage: WebServiceJob.sh -l <url> -P [paramlist] -u [user] -p [password] -c [charset] -r [retparam]"
    echo "   -l: rul 地址"
    echo "   -P: 参数列表。 paramname=paramval&paramname=paramva&..."
    echo "   -u: 用户"
    echo "   -p: 密码"
    echo "   -c: 字符集"
    echo
    exit 1
}

#################################################################
### 参数解析 函数
ArgvList()
{
argv=$*
while [ 1 ]
do
    if test "X$argv" = "X";then
        break;
    fi
    op=`echo $argv|awk -F' ' '{print $1}'`
    val=`echo $argv|awk -F' ' '{print $2}'`
    argv=`echo $argv|awk -F' ' '{for(i=0;i<=NF;i++)if(i>2)print $i}'`
    case $op in
        "-u")
            USER=$val
        ;;
        "-p")
            PWD=$val
        ;;
        "-l")
            URL=$val
        ;;
        "-P")
            PARAMS=$val
        ;;
        "-c")
            CHAR=$val
        ;;
        *)
          Usage
        ;;
    esac
done
if test "X$URL" = "X";then
    Usage
fi
}

ParamCat()
{
    PARAMLIST=""
   if test "X$CHAR" != "X";then
       PARAMLIST="--header charset=$CHAR "
   fi
   if test "X$USER" != "X";then
       PARAMLIST="$PARAMLIST -u $USER:$PWD "
   fi
   if test "X$PARAMS" != "X";then
       PARAMLIST="$PARAMLIST -d $PARAMS "
   fi
   PARAMLIST="$PARAMLIST $URL "
}


ExecUrl()
{
#result=`curl --header "charset=utf-8" -u admin:admin -d "planName=plan_daly_1" http://10.10.100.244:8085/MoiaControl/rest/RestService/getPlanInfo`
    echo "curl $PARAMLIST"
    result=$(curl ${PARAMLIST})
}

RetCode()
{
    echo $result   
}

##### main #####
ArgvList $*
ParamCat
ExecUrl
RetCode
